This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463361 - (CVE-2017-9763) CVE-2017-9763 grub2: Stack exhaustion in grub_ext2_read_block
CVE-2017-9763 grub2: Stack exhaustion in grub_ext2_read_block
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170611,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 11:57 EDT by Adam Mariš
Modified: 2017-06-20 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-20 11:57:45 EDT
The grub_ext2_read_block function in fs/ext2.c in GNU GRUB before 2013-11-12, as used in shlr/grub/fs/ext2.c in radare2 1.5.0, allows remote attackers to cause a denial of service (excessive stack use and application crash) via a crafted binary file, related to use of a variable-size stack array.

Upstream patch:

https://git.savannah.gnu.org/cgit/grub.git/commit/grub-core/fs/ext2.c?id=ac8cac1dac50daaf1c390d701cca3b55e16ee768
Comment 1 Adam Mariš 2017-06-20 12:03:50 EDT
This issue did not affect the versions of grub as shipped with Red Hat Enterprise Linux 5 and 6 as they did not contain affected function. This issue did not affect the versions of grub2 as shipped with Red Hat Enterprise Linux 7 as the patch is in place.

Note You need to log in before you can comment on or make changes to this bug.